Summary:       Monitoring filesystems events with inotify on Linux
Name:          python-inotify
Version:       0.9.6
Release:       5%{?dist}
License:       MIT
URL:           https://github.com/seb-m/pyinotify
Source0:       http://seb.dbzteam.org/pub/pyinotify/releases/pyinotify-%{version}.tar.gz
Patch3000:     pyinotify-0.9.6-epoint.patch
BuildArch:     noarch
BuildRequires: python3-devel python3-setuptools gmp-devel

%description
Pyinotify is a Python module for monitoring filesystems changes. \
Pyinotify relies on a Linux Kernel feature (merged in kernel 2.6.13) \
called inotify. inotify is an event-driven notifier, its notifications \
are exported from kernel space to user space through three system calls. \
pyinotify binds these system calls and provides an implementation on top of \
them offering a generic and abstract way to manipulate those functionalities.

%package -n python3-inotify
Summary:  %{summary}
Provides: python3-inotify = %{version}-%{release}

%description -n python3-inotify
a Python module for monitoring filesystems changes

%prep
%setup -q -n pyinotify-%{version}
%patch3000 -p1
sed -i '1c#! %{__python3}' python3/pyinotify.py

%build
%py3_build

%install
%py3_install

%files -n python3-inotify
%license COPYING
%doc ACKS README.md
%{_bindir}/pyinotify
%{python3_sitelib}/pyinotify*
%{python3_sitelib}/__pycache__/pyinotify*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.6-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.6-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Xun Zhong <victorzhong@tencent.com> - 0.9.6-1
- Initial build